
Name:           bzrtools
Version:        2.6.0
Release:        %mkrel 1
Summary:        A collection of utilities and plugins for Bazaar-NG
Summary(de):	Eine Sammlung von Werkzeugen und Erweiterungen für Bazaar-NG (BZR).
Group:          Development/Other
License:        GPL
URL:            http://bazaar-vcs.org/BzrTools
Source0:        https://launchpad.net/%{name}/stable/%{version}/+download/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:	bzr
Requires:       python >= 2.6
Requires:       bzr >= 2.0
Requires:       patch >= 2.5.9 
Requires:	rsync 
Requires:	graphviz 
Requires:	%{_lib}rsvg2_2
Requires:	python-paramiko

%description
BzrTools is a collection of plugins for Bazaar-NG (bzr).  Among the included
plugins are:
* push - uses rsync to push local changes to a remote server
* annotate - prints a file annotated with the revision next to each line
* baz-import - (Requres PyBaz) import an arch archive losslessly into bzr
* shelve/unshelve - allows you to undo some changes, commit, and restore
* clean-tree - remove unknown, ignored-junk, or unversioned files from the tree
* graph-ancestry - use dot to produce banch ancestry graphs
* shell - a bzr command interpreter with command completion
* patch - apply a patch to your tree from a file or URL

%description -l de
Eine Sammlung von Werkzeugen und Erweiterungen für Bazaar-NG (BZR). Unter den 
mitgelieferten Erweiterungen sind:

* push - um lokale Änderungen zu einem entfernten (Remote)-Server zu synchronisieren
* annotate - druckt eine Datei mit der Revision mit Anmerkungen neben jeder Zeile
* baz-Import - (benötigt PyBaz) importiert ein arch Archiv, verlustfrei in BZR
* shelve / snshelve - erlaubt das Rückgängigmachen und Wiederherstellen von Änderungen
* clean-tree - entfernen von unbekannten, ignorieren von Junk, oder unversionierten Dateien aus der Baumstruktur
* graph-ancesty - verwendet Punkte zum Erstellen von Abstammungs-Grafiken
* shell - ein BZR-Befehlsinterpreter mit der Befehlsvervollständigung
* patch - einen Patch von einer Datei oder einer URL auf den Baum anwenden


%prep
%setup -q -n %{name}


%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT 
# remove shebangs from all files as none should be executable scripts
sed -e '/^#!\//,1 d' -i $RPM_BUILD_ROOT/%py_puresitedir/bzrlib/plugins/bzrtools/*.py


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%dir %py_puresitedir/bzrlib/plugins/bzrtools
%py_puresitedir/bzrlib/plugins/bzrtools/*.py
%dir %py_puresitedir/bzrlib/plugins/bzrtools/tests
%py_puresitedir/bzrlib/plugins/bzrtools/tests/*.py
%py_puresitedir/BzrTools*.egg-info
%doc README NEWS COPYING


%changelog
* Thu Mar 03 2016 bb <bb> 2.6.0-1pclos2016
- update 

* Thu Apr 18 2013 Texstar <texstar at gmail.com> 2.5-2pclos2013
- rebuild to fix broken dependency

* Thu May 31 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.5-1pclos2012
- 2.5
- added german summary and description
- added %{_lib} macro

